/*
 * File:   rtc.c
 * Author: Lucas Volwater 
 *
 * Created on May 15, 2023, 4:14 PM
 */


#include <xc.h>
#include "rtc.h"

uint8_t seconds=0, minutes=0, hours=0;


void clocktick(){
    seconds++;
    if(seconds >= 60){
        minutes++;
        seconds=0;
    }
    if(minutes>=60){
        hours++;
        minutes=0;
    }
    if(hours>=24){
        //days++, etc.
        hours=0;
    }
}
void gettime_hms(uint8_t *h, uint8_t *m, uint8_t *s){
    *h=hours; *m=minutes; *s=seconds;
};

void gettime_hm(uint8_t *h, uint8_t *m){
    *h=hours; *m=minutes;
};

void settime_hms(uint8_t h, uint8_t m, uint8_t s){
    hours=h; minutes=m; seconds=s;
};

void gettime_h(uint8_t *h){
    *h=hours;
};
void gettime_m(uint8_t *m){
   *m=minutes;
};
void gettime_s(uint8_t *s){
    *s=seconds;
};
